Package net.postgis.jdbc.geometry

## Class MultiPoint

- java.lang.Object
- - net.postgis.jdbc.geometry.Geometry
  - - net.postgis.jdbc.geometry.ComposedGeom
    - - net.postgis.jdbc.geometry.PointComposedGeom
      - - net.postgis.jdbc.geometry.MultiPoint

All Implemented Interfaces:
  `Serializable`

    public class MultiPoint
    extends PointComposedGeom

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.postgis.jdbc.geometry.ComposedGeom

`EMPTY, subgeoms`

### Fields inherited from class net.postgis.jdbc.geometry.Geometry

`ALLTYPES, dimension, GEOMETRYCOLLECTION, haveMeasure, LINEARRING, LINESTRING, MULTILINESTRING, MULTIPOINT, MULTIPOLYGON, POINT, POLYGON, srid, type, UNKNOWN_SRID`

### Constructor Summary

Constructors
`` `MultiPoint()`
`` `MultiPoint​(String value)`
`protected` `MultiPoint​(String value, boolean haveM)`
`` `MultiPoint​(Point[] points)`

### Method Summary

### Methods inherited from class net.postgis.jdbc.geometry.PointComposedGeom

`createSubGeomArray, createSubGeomInstance, getPoint, getPoints, innerWKT, numPoints`

### Methods inherited from class net.postgis.jdbc.geometry.ComposedGeom

`checkConsistency, equalsintern, getFirstPoint, getLastPoint, getSubGeometry, hashCode, isEmpty, iterator, mediumWKT, numGeoms, setSrid`

### Methods inherited from class net.postgis.jdbc.geometry.Geometry

`equals, equals, getDimension, getSrid, getType, getTypeString, getTypeString, getValue, initSRID, isMeasured, outerWKT, outerWKT, parseSRID, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MultiPoint

    public MultiPoint()

#### MultiPoint

    public MultiPoint​(Point[] points)

#### MultiPoint

    public MultiPoint​(String value)
               throws SQLException

Throws:
  `SQLException`

#### MultiPoint

    protected MultiPoint​(String value,
                         boolean haveM)
                  throws SQLException

Throws:
  `SQLException`